- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstEvents Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | numEvents
| number of Events in array
VstIntPtr | reserved
| zero (Reserved for future use)
VstEvent * | events [2]
| event pointer array, variable size

## Detailed Description

A block of events for the current processed audio block.

## Member Data Documentation

VstEvent* VstEvents::events[2]

event pointer array, variable size

VstInt32 VstEvents::numEvents

number of Events in array

VstIntPtr VstEvents::reserved

zero (Reserved for future use)

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.